Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObservableMap.PropertyEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableMap.PropertyEvent

    public static abstract class ObservableMap.PropertyEvent
    extends PropertyChangeEvent

Field Summary
`static int` | `ADDED`
`static int` | `CLEARED`
`static int` | `MULTI`
`protected static Object` | `NEWVALUE`
`protected static Object` | `OLDVALUE`
`static int` | `REMOVED`
`static int` | `UPDATED`

Constructor Summary
`ObservableMap.PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, int type)`

Method Summary
`int` | `getType()`
`String` | `getTypeAsString()`

Methods inherited from class PropertyChangeEvent
toString, getPropertyName, getOldValue, getNewValue, setPropagationId, getPropagationId, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class EventObject
toString, getSource, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ADDED

    public static final int ADDED

### CLEARED

    public static final int CLEARED

### MULTI

    public static final int MULTI

### NEWVALUE

    protected static final Object NEWVALUE

### OLDVALUE

    protected static final Object OLDVALUE

### REMOVED

    public static final int REMOVED

### UPDATED

    public static final int UPDATED

Constructor Detail

### ObservableMap.PropertyEvent

    public ObservableMap.PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, int type)

Method Detail

### getType

    public int getType()

### getTypeAsString

    public String getTypeAsString()

Copyright © 2003-2010 The Codehaus. All rights reserved.